summaryrefslogtreecommitdiff
path: root/sys-apps
diff options
context:
space:
mode:
authorroot <root@evil.(none)>2009-05-29 23:39:23 +0300
committerroot <root@evil.(none)>2009-05-29 23:39:23 +0300
commitb3fe687c40441e96da1df0320ca5381648de3843 (patch)
tree3bfc818f4eaea1d8aad5eff84325690a41b91cef /sys-apps
parentf1018116b6229ea91fea5ebe550d32c49e8aeb6c (diff)
modified: sys-apps/hal/hal-9999.ebuild
modified: sys-apps/util-linux/util-linux-9999.ebuild deleted: sys-libs/e2fsprogs-libs/e2fsprogs-libs-9999.ebuild (wrong, useless)
Diffstat (limited to 'sys-apps')
-rw-r--r--sys-apps/hal/hal-9999.ebuild21
-rw-r--r--sys-apps/util-linux/util-linux-9999.ebuild25
2 files changed, 13 insertions, 33 deletions
diff --git a/sys-apps/hal/hal-9999.ebuild b/sys-apps/hal/hal-9999.ebuild
index 5b82c97..4148100 100644
--- a/sys-apps/hal/hal-9999.ebuild
+++ b/sys-apps/hal/hal-9999.ebuild
@@ -224,32 +224,27 @@ src_compile() {
src_install() {
emake DESTDIR="${D}" install || die
-# dodoc AUTHORS ChangeLog NEWS README || die "docs failed"
+ dodoc AUTHORS ChangeLog NEWS README
# hal umount for unclean unmounts
exeinto /lib/udev/
- newexe "${FILESDIR}/hal-unmount.dev" hal_unmount || die "udev helper failed"
-
+ newexe "${FILESDIR}/hal-unmount.dev" hal_unmount
# initscript
- newinitd "${FILESDIR}/0.5.10-hald.rc" hald || die "init script failed"
+ newinitd "${FILESDIR}/0.5.10-hald.rc" hald
# configuration
- cp "${FILESDIR}/0.5.10-hald.conf" "${WORKDIR}/" || \
- die "failed to copy hald.conf"
+ cp "${FILESDIR}/0.5.10-hald.conf" "${WORKDIR}/"
if use debug; then
sed -e 's:HALD_VERBOSE="no":HALD_VERBOSE="yes":' \
- -i "${WORKDIR}/0.5.10-hald.conf" || die "failed to change verbose"
+ -i "${WORKDIR}/0.5.10-hald.conf"
fi
- newconfd "${WORKDIR}/0.5.10-hald.conf" hald || \
- die "failed to install hald.conf"
+ newconfd "${WORKDIR}/0.5.10-hald.conf" hald
if use X ; then
# New Configuration Snippets
- dodoc "${WORKDIR}/${PN}-config-examples/"*.fdi || \
- die "dodoc X examples failed"
- dobin "${WORKDIR}/${PN}-config-examples/migrate-xorg-to-fdi.py" || \
- die "dodoc X migration script failed"
+ dodoc "${WORKDIR}/${PN}-config-examples"/*.fdi
+ dobin "${WORKDIR}/${PN}-config-examples"/migrate-xorg-to-fdi.py
# Automagic conversion!
elog "Migrating xorg.conf Core Keyboard configuration to HAL FDI file"
diff --git a/sys-apps/util-linux/util-linux-9999.ebuild b/sys-apps/util-linux/util-linux-9999.ebuild
index 1de935f..e3ec423 100644
--- a/sys-apps/util-linux/util-linux-9999.ebuild
+++ b/sys-apps/util-linux/util-linux-9999.ebuild
@@ -3,8 +3,7 @@
# $Header: /var/cvsroot/gentoo-x86/sys-apps/util-linux/util-linux-9999.ebuild,v 1.7 2008/12/30 04:33:59 vapier Exp $
EGIT_REPO_URI="git://git.kernel.org/pub/scm/utils/util-linux-ng/util-linux-ng.git"
-inherit eutils flag-o-matic
-[[ ${PV} == "9999" ]] && inherit git
+inherit eutils flag-o-matic autotools git
MY_PV=${PV/_/-}
MY_P=${PN}-ng-${MY_PV}
@@ -12,12 +11,7 @@ S=${WORKDIR}/${MY_P}
DESCRIPTION="Various useful Linux utilities"
HOMEPAGE="http://www.kernel.org/pub/linux/utils/util-linux-ng/"
-if [[ ${PV} == "9999" ]] ; then
- SRC_URI=""
-else
- SRC_URI="mirror://kernel/linux/utils/util-linux-ng/v${PV:0:4}/${MY_P}.tar.bz2
- loop-aes? ( http://loop-aes.sourceforge.net/loop-AES/loop-AES-v3.2c.tar.bz2 )"
-fi
+SRC_URI=""
LICENSE="GPL-2"
SLOT="0"
@@ -35,19 +29,15 @@ DEPEND="${RDEPEND}
virtual/os-headers"
src_unpack() {
- if [[ ${PV} == "9999" ]] ; then
git_src_unpack
cd "${S}"
- ./autogen.sh || die
- else
- unpack ${A}
- use loop-aes && epatch "${WORKDIR}"/loop-AES-*/util-linux-ng-*.diff
- fi
+ ./autogen.sh
}
src_compile() {
econf \
--with-fsprobe=builtin \
+ --enable-static-programs=blkid \
$(use_enable nls) \
--enable-agetty \
--enable-cramfs \
@@ -70,15 +60,10 @@ src_compile() {
$(use_with selinux) \
$(use_with slang) \
|| die "configure failed"
- emake || die "emake failed"
+ emake STRIP=/bin/true || die "emake failed"
}
src_install() {
emake install DESTDIR="${D}" || die "install failed"
dodoc AUTHORS NEWS README* TODO docs/*
-
- if use crypt ; then
- newinitd "${FILESDIR}"/crypto-loop.initd crypto-loop || die
- newconfd "${FILESDIR}"/crypto-loop.confd crypto-loop || die
- fi
}